org.apache.hadoop.io

## Class MultipleIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.hadoop.io.MultipleIOException

- All Implemented Interfaces:
    Serializable

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class MultipleIOException
      extends IOException

  Encapsulate a list of `IOException` into an `IOException`
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IOException` | `createIOException(List<IOException> exceptions)` A convenient method to create an `IOException`.
    `List<IOException>` | `getExceptions()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getExceptions

          public List<IOException> getExceptions()

      Returns:
        the underlying exceptions

    - #### createIOException

          public static IOException createIOException(List<IOException> exceptions)

      A convenient method to create an `IOException`.

Copyright © 2022 Apache Software Foundation. All rights reserved.